Subject: [sieve] Second Last Call: <draft-ietf-sieve-notify-sip-message-08.txt> (Sieve Notification Mechanism: SIP MESSAGE) to Proposed Standard

From: The IESG <[email-masked]>
Date: Wed, 25 Jan 2012 12:17:14 -0800

The IESG has received a request from the Sieve Mail Filtering Language WG
(sieve) to consider the following document:
- 'Sieve Notification Mechanism: SIP MESSAGE'
  <draft-ietf-sieve-notify-sip-message-08.txt> as a Proposed Standard

Last calls were earlier issued on version -05 of this document and this
document was approved by the IESG on 2011-10-06. Subsequently,
an IPR disclosure statement for this draft was submitted.
This Second Last Call is intended to determine whether the community
is still comfortable with publication of this document in light of the IPR statement.
The relevant IPR statement is available at:

https://datatracker.ietf.org/ipr/1658/

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action. Please send substantive comments to the
[email-masked] mailing lists by 2012-02-08. Exceptionally, comments may be
sent to [email-masked] instead. In either case, please retain the
beginning of the Subject line to allow automated sorting.

Abstract

   This document describes a profile of the Sieve extension for
   notifications, to allow notifications to be sent over SIP MESSAGE.

The file can be obtained via
http://datatracker.ietf.org/doc/draft-ietf-sieve-notify-sip-message/

IESG discussion can be tracked via
http://datatracker.ietf.org/doc/draft-ietf-sieve-notify-sip-message/

The following IPR Declarations may be related to this I-D:

   http://datatracker.ietf.org/ipr/1658/

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 25 Jan 2012 15:04:09 -0700

+1

On 1/25/12 2:50 PM, Adrian Farrel wrote:
> Please also see US patent 20090204681 visible at
>  http://ip.com/patapp/US20090204681
> 
>  
> 
> In my opinion, this second last call should be suspended until this
> significant breach of the IETF's IPR policy set out in BCP79 has been
> resolved.
> 
>  
> 
> While it is important to find out what the IETF community's view of this
> situation is, there are two questions:
> 
>  
> 
> 1. What does the WG think about the I-D being IPR encumbered and do they
> want to develop an alternate solution that is not encumbered?
> 
>  
> 
> 2. How will the IETF handle the breach of IPR policy?
> 
>  
> 
> I believe the document should be returned to the working group who are
> the main victims of the disruptive behaviour by the author.
> 
>  
> 
> Thanks,
> 
> Adrian
> 
>  
> 
> *From:[email-masked] [mailto:[email-masked]] *On Behalf
> Of *Adam Roach
> *Sent:* 25 January 2012 21:36
> *To:* [email-masked]
> *Cc:* [email-masked]; The IESG; IETF-Announce
> *Subject:* Re: Second Last Call:
> <draft-ietf-sieve-notify-sip-message-08.txt> (Sieve Notification
> Mechanism: SIP MESSAGE) to Proposed Standard
> 
>  
> 
> Just to make sure I understand the sequence of events:
> 
>  1. August 21, 2007: Huawei files a patent (CN 200710076523.4) on using
>     SIP for SIEVE notifications. The inventor is listed as a single
>     Huawei employee.
>  2. August 30, 2007: That same Huawei employee and two additional
>     authors publish an IETF draft (
>     draft-melnikov-sieve-notify-sip-message-00) on using SIP for SIEVE
>     notifications.
>  3. September 2007 - September 2011: The SIEVE working group discusses
>     and improves the IETF draft.
>  4. October 6, 2011: The IESG approves the IETF draft for publication as
>     an RFC.
>  5. December 14th, 2011: Huawei files an IPR disclosure with the IETF
>     informing it of patent CN 200710076523.4
> 
> 
> Is that correct? Am I leaving anything out?
> 
> /a
> 
> 
> On 1/25/12 2:17 PM, The IESG wrote:
> 
>  
> 
> [email-masked] <mailto:[email-masked]> mailing lists by 2012-02-08. Exceptionally, comments may be
> 
> sent to [email-masked] <mailto:[email-masked]> instead. In either case, please retain the
> 
> _______________________________________________
> 
> IETF-Announce mailing list
> 
> [email-masked] <mailto:[email-masked]>
> 
> https://www.ietf.org/mailman/listinfo/ietf-announce
> 
>  
> 
> 
> 
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf

---

From: Pete Resnick <[email-masked]>
Date: Wed, 25 Jan 2012 17:06:23 -0600

On 1/25/12 4:39 PM, Worley, Dale R (Dale) wrote:
>> From: Adrian Farrel [[email-masked]]
>>
>> [...]
> If the facts are as outlined by Adam Roach, this is the only thing to do.
>    

I apologize for not making this clear in the Last Call text:

Before posting this Last Call (and the similar one for 
draft-ietf-sieve-convert), the documents *were* returned to the SIEVE WG 
to review the situation. With minimal complaint from the WG and no 
indication that the WG wished to change their decision on the documents, 
the chairs asked that I simply put it to the entire community as a Last 
Call. So I believe anything other than "go ahead with publication as is" 
will be done only if that is the consensus of the IETF community as a 
whole. The SIEVE chairs and I will be monitoring the discussion.

pr

-- 
Pete Resnick<http://www.qualcomm.com/~presnick/>
Qualcomm Incorporated - Direct phone: (858)651-4478, Fax: (858)651-1102

---

From: Pete Resnick <[email-masked]>
Date: Wed, 25 Jan 2012 19:40:48 -0600

On 1/25/12 3:35 PM, Adam Roach wrote:
>    1. August 21, 2007: Huawei files a patent (CN 200710076523.4) on
>       using SIP for SIEVE notifications. The inventor is listed as a
>       single Huawei employee.
>
>       draft-melnikov-sieve-notify-sip-message-00) on using SIP for
>       SIEVE notifications.
>

Correct, except let's call it an "Internet Draft" for precision's sake.

>    3. September 2007 - September 2011: The SIEVE working group
>       discusses and improves the IETF draft.
>

The draft appears to have been adopted by the WG in December 2008 as 
draft-ietf-sieve-notify-sip-message-00, but otherwise correct.

(See: 
http://datatracker.ietf.org/doc/draft-ietf-sieve-notify-sip-message/history/ 
)

>    4. October 6, 2011: The IESG approves the IETF draft for
>       publication as an RFC.
>
>    5. December 14th, 2011: Huawei files an IPR disclosure with the
>       IETF informing it of patent CN 200710076523.4
>

Correct.

The dates for the -convert draft (also just re-last called) were 
slightly different, but the circumstances were largely the same.

pr

>> sent [email-masked]  instead. In either case, please retain the

---

From: Adam Roach <[email-masked]>
Date: Wed, 25 Jan 2012 15:35:58 -0600

/a

On 1/25/12 2:17 PM, The IESG wrote:
> [email-masked]

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 25 Jan 2012 21:50:52 -0000

In my opinion, this second last call should be suspended until this significant
breach of the IETF's IPR policy set out in BCP79 has been resolved.

1. What does the WG think about the I-D being IPR encumbered and do they want to
develop an alternate solution that is not encumbered?

I believe the document should be returned to the working group who are the main
victims of the disruptive behaviour by the author.
 
Thanks,
Adrian
 
From: [email-masked] [mailto:[email-masked]] On Behalf Of Adam
Roach
Sent: 25 January 2012 21:36
To: [email-masked]
Cc: [email-masked]; The IESG; IETF-Announce
Subject: Re: Second Last Call: <draft-ietf-sieve-notify-sip-message-08.txt>
(Sieve Notification Mechanism: SIP MESSAGE) to Proposed Standard
 
Just to make sure I understand the sequence of events:
1.	August 21, 2007: Huawei files a patent (CN 200710076523.4) on using SIP
for SIEVE notifications. The inventor is listed as a single Huawei employee.
2.	August 30, 2007: That same Huawei employee and two additional authors
publish an IETF draft ( draft-melnikov-sieve-notify-sip-message-00) on using SIP
for SIEVE notifications.
3.	September 2007 - September 2011: The SIEVE working group discusses and
improves the IETF draft.
4.	October 6, 2011: The IESG approves the IETF draft for publication as an
RFC.
5.	December 14th, 2011: Huawei files an IPR disclosure with the IETF
informing it of patent CN 200710076523.4

/a

 
is still comfortable with publication of this document in light of the IPR
statement.

 
Abstract

---

From: Thomas Nadeau <[email-masked]>
Date: Wed, 25 Jan 2012 17:05:48 -0500

Agree %100.

On Jan 25, 2012, at 4:50 PM, Adrian Farrel wrote:

> Please also see US patent 20090204681 visible at  http://ip.com/patapp/US20090204681
>  
> In my opinion, this second last call should be suspended until this significant breach of the IETF's IPR policy set out in BCP79 has been resolved.
>  
> While it is important to find out what the IETF community's view of this situation is, there are two questions:
>  
> 1. What does the WG think about the I-D being IPR encumbered and do they want to develop an alternate solution that is not encumbered?
>  
> I believe the document should be returned to the working group who are the main victims of the disruptive behaviour by the author.
>  
> Thanks,
> Adrian
>  
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Adam Roach
> Subject: Re: Second Last Call: <draft-ietf-sieve-notify-sip-message-08.txt> (Sieve Notification Mechanism: SIP MESSAGE) to Proposed Standard
>  
> August 21, 2007: Huawei files a patent (CN 200710076523.4) on using SIP for SIEVE notifications. The inventor is listed as a single Huawei employee.
> August 30, 2007: That same Huawei employee and two additional authors publish an IETF draft ( draft-melnikov-sieve-notify-sip-message-00) on using SIP for SIEVE notifications.
> September 2007 - September 2011: The SIEVE working group discusses and improves the IETF draft.
> October 6, 2011: The IESG approves the IETF draft for publication as an RFC.
> December 14th, 2011: Huawei files an IPR disclosure with the IETF informing it of patent CN 200710076523.4
>

---

From: "Worley, Dale R (Dale)" <[email-masked]>
Date: Wed, 25 Jan 2012 17:39:43 -0500

Dale

---

From: SM <[email-masked]>
Date: Wed, 25 Jan 2012 20:41:54 -0800

>Correct, except let's call it an "Internet Draft" for precision's sake.

What this thread is actually about is a violation of IETF process 
(BCP) or IETF policy (Failure to comply with patent disclosure 
requirements is a violation of IETF policy, and the potential legal 
consequences to companies are considerable).

For context:

   "Qian Sun is apparently no longer an active IETF participant, and his
    co-workers who are active IETF participants asked their company to
    disclose against the two documents as soon as they discovered what
    had happened. That's where were are now."

Regards,
-sm

---

From: SM <[email-masked]>
Date: Wed, 25 Jan 2012 23:57:36 -0800

Hi Adrian,
At 21:48 25-01-2012, Adrian Farrel wrote:
>Why is Qian Sun still listed on the front page as an author. 
>Wouldn't it be more
>appropriate to move the name to the Acknowledgements section where the text
>could read...

As editorship is a WG Chair decision, it is up to the SIEVE WG Chairs 
to comment on why Qian Sun is still listed on the front page as an author.

>Some of the text of this document was provided by Qian Sun who 
>violated IETF IPR
>process by not disclosing related IPR that he had also authored and so is not
>listed as a named author of this document.

The above text does not mention company affiliation.

There is the following in the text in IPR statements:

   "Note: The individual submitting this template represents and
    warrants that he or she is authorized by the Patent Holder to
    agree to the above-selected licensing declaration."

The name provided in the IPR statement is "Director of licensing".

The violation has a negative impact on the IETF (see comment from 
Dave Crocker on this thread).  It raises questions which should not be asked.

Regards,
-sm

---

From: Harald Alvestrand <[email-masked]>
Date: Thu, 26 Jan 2012 12:32:30 +0100

John,

a worry I have with going out with such a massive demand set for this 
IPR code violation is that we'd be encouraging the other IPR behaviour 
we've seen: That of saying nothing.

The current Huawei people who caused this disclosure to be filed deserve 
our praise for doing the Right Thing now, even while the people in the 
past who did not deserve our condemnation.

On one point, however, I'm aligned:

On 01/26/2012 10:31 AM, John C Klensin wrote:
>
> (3) A request to the company involved to remove the reciprocity
> clause from the license stated in the disclosure statement.  As
> a show of good faith, they should agree to derive no benefit
> from the patent other than what praise accrues from having it
> awarded.
Indeed, this reciprocity clause is of the form that I used to complain 
to Cisco's IPR lawyer about Cisco making when I was at Cisco: It asserts 
the right of withdrawal of this license for *any* use of *any* patent 
against Huawei - that means that anyone who dares to depend on this 
license is effectively granting a license to *all* their patents to the 
holder of this patent.

The proper scope of reciprocity clauses is a fertile ground for debate 
(and nearly impossible to hold a debate on, unfortunately), but this 
type is one that I am not happy to see.

                       Harald

---

From: John C Klensin <[email-masked]>
Date: Thu, 26 Jan 2012 04:31:34 -0500

--On Wednesday, January 25, 2012 17:06 -0600 Pete Resnick
<[email-masked]> wrote:

>...
> draft-ietf-sieve-convert), the documents *were* returned to
> the SIEVE WG to review the situation. With minimal complaint
> from the WG and no indication that the WG wished to change
> their decision on the documents, the chairs asked that I
> simply put it to the entire community as a Last Call. So I
> believe anything other than "go ahead with publication as is"
> will be done only if that is the consensus of the IETF
> community as a whole. The SIEVE chairs and I will be
> monitoring the discussion.

Pete,

(responding to this message, but I've read the subsequent ones)

It seems to me that a key question here is whether the original
author's decision to not disclose was made in violation of
company policy or whether the sequence of posting the I-D,
getting the document through the WG and Last Call, and then
posting the disclosure is a matter of company policy.  If such
behavior became a pattern, the IETF's IPR policy would be
essentially dead.

I believe that "go ahead with publication as is" would be
equivalent to encouraging such a pattern to develop and is
consequently not acceptable.

Consequently, I believe that at least the following should be
required:

(1) Revision of the IPR statement so it identifies the
responsible individual by name, department, and title.  I do not
believe that the rather anonymous "Director of Licensing" is
compliant with the intent of the IPR disclosure rules.   I will
leave it to the lawyers to advise on whether a document issued
without the name (not just title) of a responsible individual
would even be held to be valid in the various jurisdictions in
which the patent might be recognized.

(2) A request to the company involved for someone who can
formally speak for that company to publicly clarify that this
sequence of behavior occurred in violation of company policy.
If there are internal rewards to individuals for filing and/or
being awarded patents, I assume that a decision that the actions
violate company policy would cause such awards to be withheld in
this case, even though the IETF would have no way to verify
whether or not that occurred.

(4) Removal of the offending individual from the list of authors
to the acknowledgments with text similar to that suggested by
Adrian.  Unless the company involved is willing to provide the
clarification suggested in (2) above, and possibly the license
modification suggested in (3) above, all names of authors
associated with that company should be removed to the
acknowledgements and the company affiliation explicitly
identified there.  In either case, this should be viewed as a
response to a policy violation and not entangled with any more
general discussion of listed authors on I-Ds or RFCs.

(5) Unless the clarification suggested in (2) can be provided,
each IETF participant who is associated with the relevant
company and who is in an IETF-related leadership or
decision-making position (WG Chairs; Editors; IESG, IAB, IAOC,
Nomcom, members; etc.) should be asked to make a conscientious
personal review as to whether this type of action sufficiently
compromises his or her position that resignation or some other
action would be appropriate and, as appropriate, to review IETF
policies with whatever management chains are relevant.  I am
_not_ suggesting that anyone be asked to resign, only that they
engage in careful consideration of the issues and their
implications.

Just my opinion.
regards,

    john

---

From: Adam Roach <[email-masked]>
Date: Wed, 25 Jan 2012 21:44:13 -0600

> http://ip.com/patapp/US20090204681
Well, at least U.S. patent application. And, for that matter, 
International Application PCT/CN2008/072066:

   http://www.wipo.int/patentscope/search/en/WO2009024088

The geographic scope of the intended patent protection for this 
invention appears to be broader than was revealed by the IPR disclosure.

/a

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 26 Jan 2012 05:48:55 -0000

All that is great.

Why is Qian Sun still listed on the front page as an author. Wouldn't it be more
appropriate to move the name to the Acknowledgements section where the text
could read...

Some of the text of this document was provided by Qian Sun who violated IETF IPR
process by not disclosing related IPR that he had also authored and so is not
listed as a named author of this document.

Adrian

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of SM
> Sent: 26 January 2012 04:42
> To: Pete Resnick
> Cc: [email-masked]; [email-masked]
> Subject: Violation of IETF process (was: Second Last Call:
<draft-ietf-sieve-notify-
> sip-message-08.txt> (Sieve Notification Mechanism: SIP MESSAGE) to Proposed
> Standard)
>

---

From: Dave CROCKER <[email-masked]>
Date: Wed, 25 Jan 2012 22:12:45 -0800

> victims of the disruptive behaviour by the author.

The working group might be the closest and could reasonably have the highest 
sense of frustration -- Pete's later posting notwithstanding -- but forgive my 
noting that they are not the main victims.

Variously the IETF and the Internet community are the main victims.  The IETF 
for the rather sustained violation of its policies and the Internet community 
for the delay in being able to use a mechanism that presumably would be useful.

Somehow, an apology does not seem sufficient.  Something more substantial is 
warranted.

d/
-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

---

From: Bob Hinden <[email-masked]>
Date: Thu, 26 Jan 2012 07:52:47 -0600

On Jan 26, 2012, at 12:12 AM, Dave CROCKER wrote:

> The working group might be the closest and could reasonably have the highest sense of frustration -- Pete's later posting notwithstanding -- but forgive my noting that they are not the main victims.
> 
> Variously the IETF and the Internet community are the main victims.  The IETF for the rather sustained violation of its policies and the Internet community for the delay in being able to use a mechanism that presumably would be useful.

+1

Bob

> 
> Somehow, an apology does not seem sufficient.  Something more substantial is warranted.
> 
> d/
> -- 
> 
>  Dave Crocker

---

From: John C Klensin <[email-masked]>
Date: Thu, 26 Jan 2012 09:08:04 -0500

--On Thursday, January 26, 2012 12:32 +0100 Harald Alvestrand
<[email-masked]> wrote:

> John,
> 
> a worry I have with going out with such a massive demand set
> for this IPR code violation is that we'd be encouraging the
> other IPR behaviour we've seen: That of saying nothing.

I understand this concern, but that takes us into lawyer
territory.  Since the courts, at least in some countries, have
ruled that patents are unenforceable if the technology was
pushed forward into standards in violation of disclosure rules
(that is a deliberately-vague summary, not an attempt to state
the legal situation), I don't know if companies would be better
off saying nothing, ever, until they ambushed someone in court,
or disclosing later.  If the IETF needs to make decisions on
that basis, I'd like us to get clear advice (if such a thing is
possible -- a combination about the situation, not the source of
advice) from Counsel.

> The current Huawei people who caused this disclosure to be
> filed deserve our praise for doing the Right Thing now, even
> while the people in the past who did not deserve our
> condemnation.

Absolutely.  While I recognize it as difficult, that is
precisely why I'd like to have Huawei clarify that those who did
not disclose in the past did so in violation of what I hope is
the company policy to conform to the rules of any standards body
in which their employees are participating.  If that is actually
the case (as I assume it is), then my proposed "demand set" is
not "massive": we adjust the authorship to remove the inventor,
we try to get the reciprocity clause narrowed or removed, and we
move on.  

The question of whether the IETF should accept and file a
disclosure statement that is "signed" only by title, especially
a title whose meaning is unclear outside the particular company,
ought to be largely separate from this discussion: it is really
an issue that I'd hope that the IETF Trust would discuss with
Counsel and then appropriately advise the Secretariat and the
community about how such statements should be handled.  If we
actually don't have any rules or guidance today, it may be
unreasonable to ask Huawei to amend their filing on that basis.

Note that removing the broad reciprocity provision from this
particular IPR disclosure /licensing statement ought to be less
problematic from Huawei's standpoint than potentially having the
patent (and potentially related ones) invalidated or rendered
unenforceable -- an action that would be completely outside our
control.

>> (3) A request to the company involved to remove the
>> reciprocity clause from the license stated in the disclosure
>> statement.  As a show of good faith, they should agree to
>> derive no benefit from the patent other than what praise
>> accrues from having it awarded.
> Indeed, this reciprocity clause is of the form that I used to
> complain to Cisco's IPR lawyer about Cisco making when I was
> at Cisco: It asserts the right of withdrawal of this license
> for *any* use of *any* patent against Huawei - that means that
> anyone who dares to depend on this license is effectively
> granting a license to *all* their patents to the holder of
> this patent.

> The proper scope of reciprocity clauses is a fertile ground
> for debate (and nearly impossible to hold a debate on,
> unfortunately), but this type is one that I am not happy to
> see.

While I agree, I think it is a separate discussion.  That
discussion probably needs to start with a core principle of the
IETF IPR policy that we do not constrain the conditions that can
be adopted and disclosed at all.  If we are not going to change
that, then Huawei (or Cisco, or many others) are certainly
permitted to insert such a clause.  If there is a problem in the
IETF, it is only that WGs may not have been sufficiently
diligent about evaluating the possible effects of such
provisions on the practice of potentially-standard technologies.

I think that, for this situation and any that might be similar
to it in the future, we need to concentrate on the particulars
of the situation and the degree to which it is appropriate for a
company to benefit from the inappropriate behavior of someone
who presumably works for them, is being sponsored by them to
participate in the IETF, etc.  I deliberately wrote my note so
that it could evolve into a general set of guidelines on such
issues should the community think that appropriate.

I'm also conflicted about the information (or lack thereof) that
we have available.  My personal sense of justice says that we
should really understand, for example, whether there is any
chance that the inventor was not aware of the patent
application.  Others have made similar suggestions.  On the
other hand, it is possible that trying to dig out and evaluate
that information would turn this situation into far more of a
judicial-like provision than I'm comfortable with.  Again,
advice from the Trust and Counsel would be very much in order if
it is feasible (and the reasons would be interesting and useful
information if it is not).

    john

---

From: Pete Resnick <[email-masked]>
Date: Thu, 26 Jan 2012 10:08:28 -0600

As I've mentioned to others, since I'm one of the people who will have 
to judge the consensus on this question, my comments will remain 
strictly based on the facts of the events as I know them and on the 
relevant IETF procedures. It is up to the IETF community to decide on 
what the appropriate course of action shall be. That said, I have some 
comments and questions:

On 1/26/12 3:31 AM, John C Klensin wrote:

> posting the disclosure is a matter of company policy.

We were told by the other company employees who facilitated the 
disclosures, at the time of the disclosures, that this was strictly an 
individual's failure to comply with the IETF IPR Policy, that the author 
in question claims not to have understood the IETF IPR Policy, and that 
the company proceeded to make these disclosures as soon as it discovered 
that this IPR existed. I have no information to contradict that claim.

> which the patent might be recognized.

Are you asking that the IPR statements be updated with the name, 
department, and title of the "Director of Licensing", or that of the 
author of the documents and patents in question? It seems to me that the 
former is a procedural question that is separate from the disposition of 
these particular documents, and seems like a reasonable requirement for 
any IPR disclosure. If you're asking for the latter, are you asking that 
the sanction against the author be a new obligation on the author? 
Section 6 of RFC 3979 clearly says, "A participant's obligation to make 
a disclosure is also considered satisfied if the IPR owner or the 
participant's employer or sponsor makes an appropriate disclosure in 
place of the participant doing so."

> whether or not that occurred.

The IETF Chair has in the past sent messages to companies to inquire 
about their handling of IPR disclosures, so I imagine such a message 
could be sent if the IETF community desires it.

> from the patent other than what praise accrues from having it

I'll ask to bring this topic up with the IETF attorney. I am pretty sure 
we can *ask* that they do this as a show of good faith. I am also pretty 
certain that we can't negotiate the terms of a license agreement.

> general discussion of listed authors on I-Ds or RFCs.

Of course, removal of individual document editors is well within the 
rights and responsibilities of the chairs, so if this is the consensus 
of the IETF, I am sure it can be done. I would like you to elaborate on 
the issue of the authors who are employees of the company but *not* the 
author of the patent in question. Are you saying that their names should 
be removed because, as co-workers of the author in question, they ought 
to have known (or been more diligent in confirming) that the IPR existed 
and therefore should be sanctioned for failing to comply with the IPR 
rules, or are you saying that this is a sanction that should be levied 
against the company and therefore its employees? I will note that RFC 
3979 does not put a responsibility on individual participants to go 
discover IPR that may exist, nor does it make any overt requirements of 
companies since it applies only to the individual participants in the 
IETF (caveat the recognitions in sections 6.6 and 7).

> engage in careful consideration of the issues and their

I believe this last one is outside of the scope of the decisions the 
IETF has to take regarding the disposition of the particular documents. 
It may indeed be reasonable for every IETF participant to review the 
policies and actions of their own employer as they relate to IETF 
participation and make a conscientious decision whether they can 
continue to participate in the IETF, whatever their role, given those 
policies and procedures.

pr

---

From: SM <[email-masked]>
Date: Thu, 26 Jan 2012 09:15:00 -0800

Hi Pete,
At 08:08 26-01-2012, Pete Resnick wrote:
>As I've mentioned to others, since I'm one of the people who will 
>have to judge the consensus on this question, my comments will 
>remain strictly based on the facts of the events as I know them and 
>on the relevant IETF procedures. It is up to the IETF community

The status of the memo in the drafts have this statement:

   "This Internet-Draft is submitted in full conformance with the
    provisions of BCP 78 and BCP 79."

Have the authors been asked whether they have any issue with the above?

The is a question in the write-up: "Has an IPR disclosure related to 
this document been filed?"  Has the Document Shepherd been asked 
about that before the Second Last Call?

The minutes from the last WG session does not mention who chaired the 
session.  Did the WG Chair bring the Note Well to the attention of the WG?

Regards,
-sm

---

From: Cyrus Daboo <[email-masked]>
Date: Thu, 26 Jan 2012 13:44:26 -0800

Hi SM,

> session.  Did the WG Chair bring the Note Well to the attention of the WG?

I was the chair present at that meeting. Apologies for not including that 
detail in the minutes. All the meetings I chair include the Note Well as 
the second slide in presentations I put together (which seems to be common 
practice), and indeed you can see that in the uploaded slides.

-- 
Cyrus Daboo

---

From: John C Klensin <[email-masked]>
Date: Thu, 26 Jan 2012 12:37:06 -0500

--On Thursday, January 26, 2012 10:08 -0600 Pete Resnick
<[email-masked]> wrote:

> As I've mentioned to others, since I'm one of the people who
> will have to judge the consensus on this question, my comments
> will remain strictly based on the facts of the events as I
> know them and on the relevant IETF procedures. It is up to the
> IETF community to decide on what the appropriate course of
> action shall be. That said, I have some comments and questions:
> 
>> It seems to me that a key question here is whether the
>> original author's decision to not disclose was made in
>> violation of company policy or whether the sequence of
>> posting the I-D, getting the document through the WG and Last
>> Call, and then posting the disclosure is a matter of company
>> policy.
> 
> We were told by the other company employees who facilitated
> the disclosures, at the time of the disclosures, that this was
> strictly an individual's failure to comply with the IETF IPR
> Policy, that the author in question claims not to have
> understood the IETF IPR Policy, and that the company proceeded
> to make these disclosures as soon as it discovered that this
> IPR existed. I have no information to contradict that claim.

Excellent.   I had hoped that was the situation.  It obviously
makes things much easier (and some of my earlier comments
irrelevant).   With all the effort we go to ("Note Well" and
otherwise) to be sure that people are informed about the policy,
I have trouble generating sympathy for someone who says "didn't
underatand", but that is another matter (and perhaps just my
problem).

>> responsible individual by name, department, and title.  I do
>> not believe that the rather anonymous "Director of Licensing"
>> is compliant with the intent of the IPR disclosure rules.   I
>> will leave it to the lawyers to advise on whether a document
>> issued without the name (not just title) of a responsible
>> individual would even be held to be valid in the various
>> jurisdictions in which the patent might be recognized.
>>    
> 
> Are you asking that the IPR statements be updated with the
> name, department, and title of the "Director of Licensing", or
> that of the author of the documents and patents in question?

The former.

> It seems to me that the former is a procedural question that
> is separate from the disposition of these particular
> documents, and seems like a reasonable requirement for any IPR
> disclosure.

That is correct.  I believe I suggested in a later note that
this is an area to which it would be good if the Trust paid some
attention and advised the Secretariat and others accordingly.

>> being awarded patents, I assume that a decision that the
>> actions violate company policy would cause such awards to be
>> withheld in this case, even though the IETF would have no way
>> to verify whether or not that occurred.
> 
> The IETF Chair has in the past sent messages to companies to
> inquire about their handling of IPR disclosures, so I imagine
> such a message could be sent if the IETF community desires it.

That was my assumption.  On the other hand, if it is already
clear that this was either a misunderstanding, a violation of
company policy, or both, it might not be necessary.

> I'll ask to bring this topic up with the IETF attorney. I am
> pretty sure we can *ask* that they do this as a show of good
> faith. I am also pretty certain that we can't negotiate the
> terms of a license agreement.

I was only suggesting asking.  If they say "no", which they
obviously have the right to do, it is, as others have pointed
out, the WG's problem to consider what that is an issue.  If the
WG is indifferent on the issue, it seems to me that the relevant
AD has a problem, but that problem is _not_ bound to the
disclosure issue.

>> (4) Removal of the offending individual from the list of
>> authors to the acknowledgments with text similar to that
>> suggested by Adrian.  Unless the company involved is willing
>> to provide the clarification suggested in (2) above, and
>> possibly the license modification suggested in (3) above, all
>> names of authors associated with that company should be
>> removed to the acknowledgements and the company affiliation
>> explicitly identified there.  In either case, this should be
>> viewed as a response to a policy violation and not entangled
>> with any more general discussion of listed authors on I-Ds or
>> RFCs.

> Of course, removal of individual document editors is well
> within the rights and responsibilities of the chairs, so if
> this is the consensus of the IETF, I am sure it can be done. 

That was my assumption.

> I
> would like you to elaborate on the issue of the authors who
> are employees of the company but *not* the author of the
> patent in question. Are you saying that their names should be
> removed because, as co-workers of the author in question, they
> ought to have known (or been more diligent in confirming) that
> the IPR existed and therefore should be sanctioned for failing
> to comply with the IPR rules, or are you saying that this is a
> sanction that should be levied against the company and
> therefore its employees?

If the other authors from that company have already told us that
they were not aware of the patent application until very late in
the process and that they moved diligently toward getting an
appropriate disclosure filed as soon as they did find out, my
suggestion is moot.

I was concerned about the (thoroughly unlikely in this case)
possibility that the other authors from that company were
personally aware of the IPR but had been, e.g., advised that
they were not to make the disclosure because someone else would
take responsibility for it.

> I will note that RFC 3979 does not
> put a responsibility on individual participants to go discover
> IPR that may exist, nor does it make any overt requirements of
> companies since it applies only to the individual participants
> in the IETF (caveat the recognitions in sections 6.6 and 7).

Understood.  My separate concerns about the implications of that
policy should a company ever choose to deliberately hide
relevant IPR from IETF participants do not apply to this case
and should not be part of the discussion.
 
>> action would be appropriate and, as appropriate, to review
>> IETF policies with whatever management chains are relevant.
>> I am _not_ suggesting that anyone be asked to resign, only
>> that they engage in careful consideration of the issues and
>> their implications.

> I believe this last one is outside of the scope of the
> decisions the IETF has to take regarding the disposition of
> the particular documents. It may indeed be reasonable for
> every IETF participant to review the policies and actions of
> their own employer as they relate to IETF participation and
> make a conscientious decision whether they can continue to
> participate in the IETF, whatever their role, given those
> policies and procedures.

Complete agreement.  I would, for the record, make much the same
suggestion about behavior in other situations that appeared to
push the boundaries of codes of professional ethics of the
professional societies of which many of us are members.  Like
the IETF's IPR rules, those provisions are intended to be taken
seriously rather than as decoration that can be safely ignored.
The issue is an individual one, not an IETF one, and the current
issue is relevant only insofar as it should encourage all of us
--not just those involved in this document-- to take our various
personal and professional obligations seriously and to consider
the implications of circumstances in which various of them might
come into conflict.

best,
    john

---

From: Martin Rex <[email-masked]>
Date: Thu, 26 Jan 2012 22:29:42 +0100 (MET)

> that this IPR existed. I have no information to contradict that claim.

Somehow that sounds unconvincing to me.  While I've never been through
the patent application process myself, from what I've heard, it is
non-trivial and usually taken care of by the company's legal department.

Normally, patent lawyers of a company's legal department should have
sufficient clue about participation in SDOs that they should know
to ask employees the right questions.

-Martin

---

From: SM <[email-masked]>
Date: Thu, 26 Jan 2012 14:37:23 -0800

Hi Cyrus,
At 13:42 26-01-2012, Cyrus Daboo wrote:
>There is feedback along those lines on the SIEVE WG mailing list. 
>Please see the thread started by Pete on this issue last year: 
><http://www.ietf.org/mail-archive/web/sieve/current/msg05178.html>. 
>That thread covers all the WG debate on this issue up until the two 
>recent last calls.

That's the "do nothing" alternative.  Peter mentioned that it is a bad idea.

At 13:44 26-01-2012, Cyrus Daboo wrote:
>I was the chair present at that meeting. Apologies for not including 
>that detail in the minutes. All the meetings I chair include the 
>Note Well as the second slide in presentations I put together (which 
>seems to be common practice), and indeed you can see that in the 
>uploaded slides.

Thanks.

Regards,
-sm

---

From: Arnt Gulbrandsen <[email-masked]>
Date: Fri, 27 Jan 2012 09:01:25 +0100

> that this IPR existed. I have no information to contradict that claim.

Barry also said that company procedures have been improved to prevent
this particular type of failure in the future.

Speaking as Sieve WG member and sieve developer, I'm in favour of
treating this as a mishap (albeit a bad one), not an attempt at deception.

Arnt

---

From: Arnt Gulbrandsen <[email-masked]>
Date: Fri, 27 Jan 2012 09:04:34 +0100

>    provisions of BCP 78 and BCP 79."

xml2rfc put that into MY documents without asking me or even pointing it
out to me. I only discovered it because I carefully read the
boilerplate, then chased the symlinks, then read a lot of unrelated
prose in the two RFCs (not) specified.

If I'd been a reasonable human rather than a horrible pedant I'd never
have done that.

Arnt